Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarkus Knauer2012-09-06 04:58:14 -0400
committerMarkus Knauer2012-09-06 04:58:14 -0400
commitae77db5139feaa999440b64b832cfc54bc35937f (patch)
tree979a19ff0d780f7de01fa87e8c78a510891791b4
parenta0b4de1fe0bb370a827b629edab316335a9840bd (diff)
downloadorg.eclipse.epp.packages-ae77db5139feaa999440b64b832cfc54bc35937f.tar.gz
org.eclipse.epp.packages-ae77db5139feaa999440b64b832cfc54bc35937f.tar.xz
org.eclipse.epp.packages-ae77db5139feaa999440b64b832cfc54bc35937f.zip
Adjust DSL package to Juno SR1 release
This includes a version change from 2.0.0 back to 1.5.1, the change of Juno related repository URLs.
-rw-r--r--packages/org.eclipse.epp.package.dsl.feature/eclipse_dsl_juno.xml (renamed from packages/org.eclipse.epp.package.dsl.feature/epp.website.xml)6
-rw-r--r--packages/org.eclipse.epp.package.dsl.feature/epp.product4
-rw-r--r--packages/org.eclipse.epp.package.dsl.feature/feature.xml6
-rw-r--r--packages/org.eclipse.epp.package.dsl/META-INF/MANIFEST.MF2
-rw-r--r--packages/org.eclipse.epp.package.dsl/about.mappings1
-rw-r--r--packages/org.eclipse.epp.package.dsl/plugin.xml3
-rw-r--r--packages/org.eclipse.epp.package.dsl/plugin_customization.ini7
7 files changed, 17 insertions, 12 deletions
diff --git a/packages/org.eclipse.epp.package.dsl.feature/epp.website.xml b/packages/org.eclipse.epp.package.dsl.feature/eclipse_dsl_juno.xml
index d023e1de..d1cac152 100644
--- a/packages/org.eclipse.epp.package.dsl.feature/epp.website.xml
+++ b/packages/org.eclipse.epp.package.dsl.feature/eclipse_dsl_juno.xml
@@ -14,7 +14,7 @@
bugzillaComponentId="dsl-package"
testPlan="http://www.eclipse.org/epp/testplan.php" >
<!-- Description is wrapped in CDATA tags to allow you to insert HTML code if necessary -->
- <description><![CDATA[This package contains framework and tools to leverage models : an Ecore graphical modeler (class-like diagram), Java code generation utility for RCP applications and the EMF Framework, model comparison support, support for XSD schemas, OCL and graphical modeler runtimes. It includes a complete SDK, developer tools and source code.]]></description>
+ <description><![CDATA[This package contains framework and tools to leverage models: an Ecore graphical modeler (class-like diagram), Java code generation utility for RCP applications and the EMF Framework, model comparison support, support for XSD schemas, OCL and graphical modeler runtimes. It includes a complete SDK, developer tools and source code.]]></description>
<!-- packageTesters is a list of the people that are testing the package -->
<packageTesters>
<tester>Dennis Huebner</tester>
@@ -25,9 +25,9 @@
<!-- version, the RCP version to build. This is used to determine the file
name of the root file archives -->
- <rcp version="4.3.0" />
+ <rcp version="4.2.1" />
<!-- name, the name of the product, used in naming the created files. -->
- <product name="eclipse-dsl-kepler" />
+ <product name="eclipse-dsl-juno" />
</configuration>
diff --git a/packages/org.eclipse.epp.package.dsl.feature/epp.product b/packages/org.eclipse.epp.package.dsl.feature/epp.product
index aaeeb1cd..fdd93843 100644
--- a/packages/org.eclipse.epp.package.dsl.feature/epp.product
+++ b/packages/org.eclipse.epp.package.dsl.feature/epp.product
@@ -1,7 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<?pde version="3.5"?>
-<product name="Eclipse DSL Tools" uid="epp.package.dsl" id="org.eclipse.epp.package.dsl.product" application="org.eclipse.ui.ide.workbench" version="2.0.0.qualifier" useFeatures="true" includeLaunchers="true">
+<product name="Eclipse DSL Tools" uid="epp.package.dsl" id="org.eclipse.epp.package.dsl.product" application="org.eclipse.ui.ide.workbench" version="1.5.1.qualifier" useFeatures="true" includeLaunchers="true">
<aboutInfo>
<text>
@@ -51,7 +51,7 @@
</plugins>
<features>
- <feature id="org.eclipse.epp.package.dsl.feature" version="2.0.0.qualifier"/>
+ <feature id="org.eclipse.epp.package.dsl.feature" version="1.5.1.qualifier"/>
</features>
diff --git a/packages/org.eclipse.epp.package.dsl.feature/feature.xml b/packages/org.eclipse.epp.package.dsl.feature/feature.xml
index f7151fde..f8d7eddb 100644
--- a/packages/org.eclipse.epp.package.dsl.feature/feature.xml
+++ b/packages/org.eclipse.epp.package.dsl.feature/feature.xml
@@ -2,7 +2,7 @@
<feature
id="org.eclipse.epp.package.dsl.feature"
label="EPP DSL Feature"
- version="2.0.0.qualifier"
+ version="1.5.1.qualifier"
provider-name="Eclipse Packaging Project"
plugin="org.eclipse.epp.package.dsl">
@@ -15,8 +15,8 @@
</license>
<url>
- <discovery label="Kepler" url="http://download.eclipse.org/releases/kepler/"/>
- <discovery label="Eclipse Platform 4.3" url="http://download.eclipse.org/eclipse/updates/4.3"/>
+ <discovery label="Juno" url="http://download.eclipse.org/releases/juno/"/>
+ <discovery label="Eclipse Platform 4.2" url="http://download.eclipse.org/eclipse/updates/4.2"/>
</url>
<includes
diff --git a/packages/org.eclipse.epp.package.dsl/META-INF/MANIFEST.MF b/packages/org.eclipse.epp.package.dsl/META-INF/MANIFEST.MF
index ea3f8741..ea9aa87d 100644
--- a/packages/org.eclipse.epp.package.dsl/META-INF/MANIFEST.MF
+++ b/packages/org.eclipse.epp.package.dsl/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: EPP DSL Bundle
Bundle-SymbolicName: org.eclipse.epp.package.dsl;singleton:=true
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 1.5.1.qualifier
Bundle-Vendor: Eclipse Packaging Project
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.platform,
diff --git a/packages/org.eclipse.epp.package.dsl/about.mappings b/packages/org.eclipse.epp.package.dsl/about.mappings
index a28390a7..62eae36c 100644
--- a/packages/org.eclipse.epp.package.dsl/about.mappings
+++ b/packages/org.eclipse.epp.package.dsl/about.mappings
@@ -4,3 +4,4 @@
# This file does not need to be translated.
0=@build@
+featureVersion=@featureVersion@
diff --git a/packages/org.eclipse.epp.package.dsl/plugin.xml b/packages/org.eclipse.epp.package.dsl/plugin.xml
index dc9b4ee1..cd3da519 100644
--- a/packages/org.eclipse.epp.package.dsl/plugin.xml
+++ b/packages/org.eclipse.epp.package.dsl/plugin.xml
@@ -3,6 +3,7 @@
<plugin>
<extension
id="product"
+ name="DSL IDE"
point="org.eclipse.core.runtime.products">
<product
application="org.eclipse.ui.ide.workbench"
@@ -17,7 +18,7 @@
</property>
<property
name="aboutText"
- value="Eclipse DSL Tools&#x0A;&#x0A;Version: Kepler Release&#x0A;Build id: {0}&#x0A;&#x0A;(c) Copyright Eclipse contributors and others 2000, 2012. All rights reserved.&#x0A;Visit http://eclipse.org/&#x0A;&#x0A;This product includes software developed by the&#x0A;Apache Software Foundation http://apache.org/">
+ value="Eclipse DSL Tools&#x0A;&#x0A;Version: Juno Service Release 1&#x0A;Build id: {0}&#x0A;&#x0A;(c) Copyright Eclipse contributors and others 2000, 2012. All rights reserved.&#x0A;Visit http://eclipse.org/&#x0A;&#x0A;This product includes software developed by the&#x0A;Apache Software Foundation http://apache.org/">
</property>
<property
name="startupForegroundColor"
diff --git a/packages/org.eclipse.epp.package.dsl/plugin_customization.ini b/packages/org.eclipse.epp.package.dsl/plugin_customization.ini
index 4110ede7..0356ef0f 100644
--- a/packages/org.eclipse.epp.package.dsl/plugin_customization.ini
+++ b/packages/org.eclipse.epp.package.dsl/plugin_customization.ini
@@ -2,7 +2,7 @@
# sets default values for plug-in-specific preferences
# keys are qualified by plug-in id
# e.g., com.example.acmeplugin/myproperty=myvalue
-# modeling.io.Properties file (ISO 8859-1 with "\" escapes)
+# java.io.Properties file (ISO 8859-1 with "\" escapes)
# "%key" are externalized strings defined in plugin_customization.properties
# This file does not need to be translated.
@@ -34,4 +34,7 @@ org.eclipse.ui.intro.universal/INTRO_ROOT_PAGES = overview,tutorials,samples,wha
org.eclipse.ui.intro.universal/INTRO_DATA = product:introData.xml
# Order help books in table of contents
-org.eclipse.help/HELP_DATA = helpData.xml \ No newline at end of file
+org.eclipse.help/HELP_DATA = helpData.xml
+
+# lightweight auto-refresh on access by default (bug 384104)
+org.eclipse.core.resources/refresh.lightweight.enabled=true

Back to the top